server {
    listen 0.0.0.0:8080;
    server_name localhost;
    root /app/public;
    access_log /opt/bitnami/nginx/logs/joeacnet_access.log;
    error_log /opt/bitnami/nginx/logs/joeacnet_error.log;
    keepalive_requests 100;

    location / {
        try_files $uri /index.php$is_args$args;
    }

    location ~ ^/index\.php(/|$) {
        fastcgi_pass phpfpm:9000;
        fastcgi_keep_conn on;
        fastcgi_split_path_info ^(.+\.php)(/.*)$;
        include fastcgi_params;
        include /opt/bitnami/nginx/conf/fastcgi.conf;
        fastcgi_param APP_ENV prod;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param DOCUMENT_ROOT $document_root;
        internal;
    }

    location ~ \.php$ {
        return 404;
    }
}
